\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-11,-8) rectangle (11,8);
\fill[line width=1pt,color=A1,fill=A4] (-1.5,1) -- (1.5,1) -- (1.5,-1) -- (-1.5,-1) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (3,2) -- (6,2) -- (6,4) -- (3,4) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (7.5,5) -- (10.5,5) -- (10.5,7) -- (7.5,7) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-3,-2) -- (-6,-2) -- (-6,-4) -- (-3,-4) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-7.5,-5) -- (-10.5,-5) -- (-10.5,-7) -- (-7.5,-7) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-3,2) -- (-6,2) -- (-6,4) -- (-3,4) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-7.5,5) -- (-10.5,5) -- (-10.5,7) -- (-7.5,7) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (3,-2) -- (6,-2) -- (6,-4) -- (3,-4) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (7.5,-5) -- (10.5,-5) -- (10.5,-7) -- (7.5,-7) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-1.5,-2) -- (1.5,-2) -- (1.5,-4) -- (-1.5,-4) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-1.5,-5) -- (1.5,-5) -- (1.5,-7) -- (-1.5,-7) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (3,1) -- (6,1) -- (6,-1) -- (3,-1) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (7.5,1) -- (10.5,1) -- (10.5,-1) -- (7.5,-1) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-6,1) -- (-3,1) -- (-3,-1) -- (-6,-1) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (-10.5,1) -- (-7.5,1) -- (-7.5,-1) -- (-10.5,-1) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (1.5,2) -- (-1.5,2) -- (-1.5,4) -- (1.5,4) -- cycle;
\fill[line width=1pt,color=A1,fill=A4] (1.5,5) -- (-1.5,5) -- (-1.5,7) -- (1.5,7) -- cycle;
\draw [line width=1pt,color=A1] (-1.5,1)-- (1.5,1);
\draw [line width=1pt,color=A1] (1.5,1)-- (1.5,-1);
\draw [line width=1pt,color=A1] (1.5,-1)-- (-1.5,-1);
\draw [line width=1pt,color=A1] (-1.5,-1)-- (-1.5,1);
\draw [line width=1pt,color=A1] (3,2)-- (6,2);
\draw [line width=1pt,color=A1] (6,2)-- (6,4);
\draw [line width=1pt,color=A1] (6,4)-- (3,4);
\draw [line width=1pt,color=A1] (3,4)-- (3,2);
\draw [line width=1pt,color=A1] (7.5,5)-- (10.5,5);
\draw [line width=1pt,color=A1] (10.5,5)-- (10.5,7);
\draw [line width=1pt,color=A1] (10.5,7)-- (7.5,7);
\draw [line width=1pt,color=A1] (7.5,7)-- (7.5,5);
\draw [line width=1pt,color=A1] (-3,-2)-- (-6,-2);
\draw [line width=1pt,color=A1] (-6,-2)-- (-6,-4);
\draw [line width=1pt,color=A1] (-6,-4)-- (-3,-4);
\draw [line width=1pt,color=A1] (-3,-4)-- (-3,-2);
\draw [line width=1pt,color=A1] (-7.5,-5)-- (-10.5,-5);
\draw [line width=1pt,color=A1] (-10.5,-5)-- (-10.5,-7);
\draw [line width=1pt,color=A1] (-10.5,-7)-- (-7.5,-7);
\draw [line width=1pt,color=A1] (-7.5,-7)-- (-7.5,-5);
\draw [line width=1pt,color=A1] (-3,2)-- (-6,2);
\draw [line width=1pt,color=A1] (-6,2)-- (-6,4);
\draw [line width=1pt,color=A1] (-6,4)-- (-3,4);
\draw [line width=1pt,color=A1] (-3,4)-- (-3,2);
\draw [line width=1pt,color=A1] (-7.5,5)-- (-10.5,5);
\draw [line width=1pt,color=A1] (-10.5,5)-- (-10.5,7);
\draw [line width=1pt,color=A1] (-10.5,7)-- (-7.5,7);
\draw [line width=1pt,color=A1] (-7.5,7)-- (-7.5,5);
\draw [line width=1pt,color=A1] (3,-2)-- (6,-2);
\draw [line width=1pt,color=A1] (6,-2)-- (6,-4);
\draw [line width=1pt,color=A1] (6,-4)-- (3,-4);
\draw [line width=1pt,color=A1] (3,-4)-- (3,-2);
\draw [line width=1pt,color=A1] (7.5,-5)-- (10.5,-5);
\draw [line width=1pt,color=A1] (10.5,-5)-- (10.5,-7);
\draw [line width=1pt,color=A1] (10.5,-7)-- (7.5,-7);
\draw [line width=1pt,color=A1] (7.5,-7)-- (7.5,-5);
\draw [line width=1pt,color=black] (1.5,1)-- (3,2);
\draw [line width=1pt,color=black] (6,4)-- (7.5,5);
\draw [line width=1pt,color=black] (1.5,-1)-- (3,-2);
\draw [line width=1pt,color=black] (-3,2)-- (-1.5,1);
\draw [line width=1pt,color=black] (-7.5,5)-- (-6,4);
\draw [line width=1pt,color=black] (-3,-2)-- (-1.5,-1);
\draw [line width=1pt,color=black] (-7.5,-5)-- (-6,-4);
\draw [line width=1pt,color=black] (6,-4)-- (7.5,-5);
\draw [line width=1pt,color=A1] (-1.5,-2)-- (1.5,-2);
\draw [line width=1pt,color=A1] (1.5,-2)-- (1.5,-4);
\draw [line width=1pt,color=A1] (1.5,-4)-- (-1.5,-4);
\draw [line width=1pt,color=A1] (-1.5,-4)-- (-1.5,-2);
\draw [line width=1pt,color=A1] (-1.5,-5)-- (1.5,-5);
\draw [line width=1pt,color=A1] (1.5,-5)-- (1.5,-7);
\draw [line width=1pt,color=A1] (1.5,-7)-- (-1.5,-7);
\draw [line width=1pt,color=A1] (-1.5,-7)-- (-1.5,-5);
\draw [line width=1pt,color=black] (0,-1)-- (0,-2);
\draw [line width=1pt,color=black] (0,-4)-- (0,-5);
\draw [line width=1pt,color=A1] (3,1)-- (6,1);
\draw [line width=1pt,color=A1] (6,1)-- (6,-1);
\draw [line width=1pt,color=A1] (6,-1)-- (3,-1);
\draw [line width=1pt,color=A1] (3,-1)-- (3,1);
\draw [line width=1pt,color=A1] (7.5,1)-- (10.5,1);
\draw [line width=1pt,color=A1] (10.5,1)-- (10.5,-1);
\draw [line width=1pt,color=A1] (10.5,-1)-- (7.5,-1);
\draw [line width=1pt,color=A1] (7.5,-1)-- (7.5,1);
\draw [line width=1pt,color=A1] (-6,1)-- (-3,1);
\draw [line width=1pt,color=A1] (-3,1)-- (-3,-1);
\draw [line width=1pt,color=A1] (-3,-1)-- (-6,-1);
\draw [line width=1pt,color=A1] (-6,-1)-- (-6,1);
\draw [line width=1pt,color=A1] (-10.5,1)-- (-7.5,1);
\draw [line width=1pt,color=A1] (-7.5,1)-- (-7.5,-1);
\draw [line width=1pt,color=A1] (-7.5,-1)-- (-10.5,-1);
\draw [line width=1pt,color=A1] (-10.5,-1)-- (-10.5,1);
\draw [line width=1pt,color=black] (-7.5,0)-- (-6,0);
\draw [line width=1pt,color=black] (-3,0)-- (-1.5,0);
\draw [line width=1pt,color=black] (1.5,0)-- (3,0);
\draw [line width=1pt,color=black] (6,0)-- (7.5,0);
\draw [line width=1pt,color=A1] (1.5,2)-- (-1.5,2);
\draw [line width=1pt,color=A1] (-1.5,2)-- (-1.5,4);
\draw [line width=1pt,color=A1] (-1.5,4)-- (1.5,4);
\draw [line width=1pt,color=A1] (1.5,4)-- (1.5,2);
\draw [line width=1pt,color=A1] (1.5,5)-- (-1.5,5);
\draw [line width=1pt,color=A1] (-1.5,5)-- (-1.5,7);
\draw [line width=1pt,color=A1] (-1.5,7)-- (1.5,7);
\draw [line width=1pt,color=A1] (1.5,7)-- (1.5,5);
\draw [line width=1pt,color=black] (0,1)-- (0,2);
\draw [line width=1pt,color=black] (0,5)-- (0,4);
\begin{Large}
\draw[color=black, anchor=center] (0,0) node {$(a+4)$};
\draw[color=black, anchor=center] (9,0) node {$a^2-a-20$};
\draw[color=black, anchor=center] (-9,0) node {$2a^2+11a+12$};
\draw[color=black, anchor=center] (0,6) node {$a^2+5a+4$};
\draw[color=black, anchor=center] (0,-6) node {$a^2+8a+16$};
\draw[color=black, anchor=center] (9,-6) node {$a^2+3a-4$};
\draw[color=black, anchor=center] (9,6) node {$a^2+7a+12$};
\draw[color=black, anchor=center] (-9,-6) node {$a^2-16$};
\draw[color=black, anchor=center] (-9,6) node {$5a^2+19a-4$};
\end{Large}
\end{tikzpicture}
\end{document}